// -*-c++-*-

/*!
  \file team_identifier.hpp
  \brief Identifies which team we are playing against, header file
*/

#ifndef TEAM_IDENTIFIER_HPP_
#define TEAM_IDENTIFIER_HPP_

#include <string>

class TeamIdentifier {

public:
	enum OpponentTeam { UNIDENTIFIED = 0, GPR2D, HELIOS, WARTHOG };

private:
	static OpponentTeam team;

public:
	static void identify( const std::string observedName );
	static inline OpponentTeam opponent() { return team; }

};

#endif /* TEAM_IDENTIFIER_HPP_ */
